Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1349050 - [abrt] xfce4-terminal: _g_log_abort(): xfce4-terminal killed by SIGTRAP
Summary: [abrt] xfce4-terminal: _g_log_abort(): xfce4-terminal killed by SIGTRAP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-terminal
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:897b4cb5bb9e6159b0f0406f9dc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-22 15:24 UTC by Alex
Modified: 2017-06-09 18:57 UTC (History)
4 users (show)

Fixed In Version: xfce4-terminal-0.8.5.1-1.fc25 xfce4-terminal-0.8.5.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-24 05:01:32 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (55.08 KB, text/plain)
2016-06-22 15:24 UTC, Alex
no flags Details
File: cgroup (242 bytes, text/plain)
2016-06-22 15:24 UTC, Alex
no flags Details
File: core_backtrace (11.79 KB, text/plain)
2016-06-22 15:25 UTC, Alex
no flags Details
File: dso_list (8.09 KB, text/plain)
2016-06-22 15:25 UTC, Alex
no flags Details
File: environ (1.49 KB, text/plain)
2016-06-22 15:25 UTC, Alex
no flags Details
File: limits (1.29 KB, text/plain)
2016-06-22 15:25 UTC, Alex
no flags Details
File: maps (39.39 KB, text/plain)
2016-06-22 15:25 UTC, Alex
no flags Details
File: mountinfo (3.74 KB, text/plain)
2016-06-22 15:25 UTC, Alex
no flags Details
File: namespaces (102 bytes, text/plain)
2016-06-22 15:25 UTC, Alex
no flags Details
File: open_fds (727 bytes, text/plain)
2016-06-22 15:25 UTC, Alex
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-06-22 15:25 UTC, Alex
no flags Details
File: var_log_messages (301 bytes, text/plain)
2016-06-22 15:25 UTC, Alex
no flags Details

Description Alex 2016-06-22 15:24:53 UTC
Description of problem:
It just crashed / alert came up. No obvious cause.

Version-Release number of selected component:
xfce4-terminal-0.6.3-9.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/bin/xfce4-terminal
crash_function: _g_log_abort
executable:     /usr/bin/xfce4-terminal
global_pid:     9929
kernel:         4.5.7-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _g_log_abort at gmessages.c:325
 #8 XGetWindowProperty at GetProp.c:69
 #9 fetch_net_wm_check_window at gdkevents-x11.c:2693
 #10 gdk_x11_screen_supports_net_wm_hint at gdkevents-x11.c:2874
 #11 gdk_x11_window_set_user_time at gdkwindow-x11.c:3741
 #12 setup_toplevel_window at gdkwindow-x11.c:637
 #13 _gdk_window_impl_new at gdkwindow-x11.c:821
 #14 gdk_window_new at gdkwindow.c:1456
 #15 gtk_window_realize at gtkwindow.c:4843
 #16 _g_closure_invoke_va at gclosure.c:867

Comment 1 Alex 2016-06-22 15:24:58 UTC
Created attachment 1170840 [details]
File: backtrace

Comment 2 Alex 2016-06-22 15:24:59 UTC
Created attachment 1170841 [details]
File: cgroup

Comment 3 Alex 2016-06-22 15:25:00 UTC
Created attachment 1170842 [details]
File: core_backtrace

Comment 4 Alex 2016-06-22 15:25:02 UTC
Created attachment 1170843 [details]
File: dso_list

Comment 5 Alex 2016-06-22 15:25:03 UTC
Created attachment 1170844 [details]
File: environ

Comment 6 Alex 2016-06-22 15:25:04 UTC
Created attachment 1170845 [details]
File: limits

Comment 7 Alex 2016-06-22 15:25:06 UTC
Created attachment 1170846 [details]
File: maps

Comment 8 Alex 2016-06-22 15:25:07 UTC
Created attachment 1170847 [details]
File: mountinfo

Comment 9 Alex 2016-06-22 15:25:08 UTC
Created attachment 1170848 [details]
File: namespaces

Comment 10 Alex 2016-06-22 15:25:09 UTC
Created attachment 1170849 [details]
File: open_fds

Comment 11 Alex 2016-06-22 15:25:11 UTC
Created attachment 1170850 [details]
File: proc_pid_status

Comment 12 Alex 2016-06-22 15:25:12 UTC
Created attachment 1170851 [details]
File: var_log_messages

Comment 13 Alex 2016-06-22 15:30:10 UTC
I think this might be related to my having two screens  (Display :0.0 and :0.1)

If I start xfce4-terminal on the second screen (:0.1), and then launch it again on the other screen (0.0), it seems to crash.

Comment 14 Kevin Fenzi 2016-06-25 22:27:03 UTC
Can you attach output of 'xrandr -q' ?

Are these seperate hardware displays? Or ?

Comment 15 Alex 2016-06-26 10:34:57 UTC
I have two monitors, each attached to a different graphics card: an AOC monitor attached via DVI to 01:00.0  (see lspci output below) and an Iiyama monitor attached to 02:00.0.  I think these are set-up as separate X displays (as I cannot move windows between them). I'm using the latest nvidia drivers.

[pua@rook Desktop]$ xrandr -q
Screen 0: minimum 8 x 8, current 2560 x 1440, maximum 32767 x 32767
DVI-D-0 disconnected (normal left inverted right x axis y axis)
HDMI-0 disconnected (normal left inverted right x axis y axis)
DP-0 disconnected (normal left inverted right x axis y axis)
DP-1 disconnected (normal left inverted right x axis y axis)
DP-2 disconnected (normal left inverted right x axis y axis)
DP-3 disconnected (normal left inverted right x axis y axis)
DP-4 connected primary 2560x1440+0+0 (normal left inverted right x axis y axis) 597mm x 336mm
   2560x1440     59.95*+  69.92  
   2048x1280     59.96  
   1920x1080     69.92    60.00    59.94    50.00    60.00    50.04  
   1680x1050     59.95  
   1600x1200     60.00  
   1600x1000     59.87  
   1600x900      60.00  
   1440x900      59.89  
   1280x720      59.94    50.00  
   1024x768      60.00  
   800x600       60.32  
   720x576       50.00  
   720x480       59.94  
   640x480       59.94    59.93  
DP-5 disconnected (normal left inverted right x axis y axis)
[pua@rook Desktop]$ echo --------------------------------------------------
--------------------------------------------------
[pua@rook Desktop]$ lspci | grep VGA
01:00.0 VGA compatible controller: NVIDIA Corporation GK208 [GeForce GT 720] (rev a1)
02:00.0 VGA compatible controller: NVIDIA Corporation GP104 [GeForce GTX 1080] (rev a1)
[pua@rook Desktop]$ 
[pua@rook Desktop]$ echo --------------------------------------------------
--------------------------------------------------
[pua@rook Desktop]$ nvidia-settings -v
nvidia-settings:  version 367.27  (buildmeister@swio-display-x64-rhel04-12)  Thu Jun  9 19:23:32 PDT 2016
  The NVIDIA X Server Settings tool.

  This program is used to configure the NVIDIA Linux graphics driver.
  For more detail, please see the nvidia-settings(1) man page.

[pua@rook Desktop]$

Comment 16 Alex 2016-06-26 10:37:47 UTC
(In reply to Alex from comment #15)
> I have two monitors, each attached to a different graphics card: an AOC
> monitor attached via DVI to 01:00.0  (see lspci output below) and an Iiyama
> monitor attached to 02:00.0.  I think these are set-up as separate X
> displays (as I cannot move windows between them). I'm using the latest
> nvidia drivers.
> 
> [pua@rook Desktop]$ xrandr -q
> Screen 0: minimum 8 x 8, current 2560 x 1440, maximum 32767 x 32767
> DVI-D-0 disconnected (normal left inverted right x axis y axis)
> HDMI-0 disconnected (normal left inverted right x axis y axis)
> DP-0 disconnected (normal left inverted right x axis y axis)
> DP-1 disconnected (normal left inverted right x axis y axis)
> DP-2 disconnected (normal left inverted right x axis y axis)
> DP-3 disconnected (normal left inverted right x axis y axis)
> DP-4 connected primary 2560x1440+0+0 (normal left inverted right x axis y
> axis) 597mm x 336mm
>    2560x1440     59.95*+  69.92  
>    2048x1280     59.96  
>    1920x1080     69.92    60.00    59.94    50.00    60.00    50.04  
>    1680x1050     59.95  
>    1600x1200     60.00  
>    1600x1000     59.87  
>    1600x900      60.00  
>    1440x900      59.89  
>    1280x720      59.94    50.00  
>    1024x768      60.00  
>    800x600       60.32  
>    720x576       50.00  
>    720x480       59.94  
>    640x480       59.94    59.93  
> DP-5 disconnected (normal left inverted right x axis y axis)
> [pua@rook Desktop]$ echo --------------------------------------------------
> --------------------------------------------------
> [pua@rook Desktop]$ lspci | grep VGA
> 01:00.0 VGA compatible controller: NVIDIA Corporation GK208 [GeForce GT 720]
> (rev a1)
> 02:00.0 VGA compatible controller: NVIDIA Corporation GP104 [GeForce GTX
> 1080] (rev a1)
> [pua@rook Desktop]$ 
> [pua@rook Desktop]$ echo --------------------------------------------------
> --------------------------------------------------
> [pua@rook Desktop]$ nvidia-settings -v
> nvidia-settings:  version 367.27  (buildmeister@swio-display-x64-rhel04-12) 
> Thu Jun  9 19:23:32 PDT 2016
>   The NVIDIA X Server Settings tool.
> 
>   This program is used to configure the NVIDIA Linux graphics driver.
>   For more detail, please see the nvidia-settings(1) man page.
> 
> [pua@rook Desktop]$

This is the "xrandr -q" output done from a terminal on the other monitor:

[pua@rook Desktop]$ xrandr -q
Screen 1: minimum 8 x 8, current 1080 x 1920, maximum 16384 x 16384
VGA-0 disconnected primary (normal left inverted right x axis y axis)
DVI-D-0 connected 1080x1920+0+0 left (normal left inverted right x axis y axis) 521mm x 293mm
   1920x1080     60.00*+
   1680x1050     59.95  
   1440x900      59.89  
   1280x1024     75.02    60.02  
   1280x960      60.00  
   1280x720      60.00  
   1024x768      75.03    70.07    60.00  
   800x600       75.00    72.19    60.32    56.25  
   640x480       75.00    72.81    59.94  
HDMI-0 disconnected (normal left inverted right x axis y axis)
[pua@rook Desktop]$ 

Note that opening a terminal on that monitor (Screen 1) crashed the terminal on Screen 0.

Comment 17 Igor 2017-01-14 07:10:05 UTC
I think this bug has also been reported upstream: https://bugzilla.xfce.org/show_bug.cgi?id=10124

Comment 18 Fedora Update System 2017-05-14 21:31:39 UTC
xfce4-terminal-0.8.5.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d226f0c56

Comment 19 Fedora Update System 2017-05-14 21:32:05 UTC
xfce4-terminal-0.8.5.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-00f84706bf

Comment 20 Fedora Update System 2017-05-15 20:36:06 UTC
xfce4-terminal-0.8.5.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d226f0c56

Comment 21 Fedora Update System 2017-05-15 22:04:36 UTC
xfce4-terminal-0.8.5.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-00f84706bf

Comment 22 Fedora Update System 2017-05-24 05:01:32 UTC
xfce4-terminal-0.8.5.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-06-09 18:57:18 UTC
xfce4-terminal-0.8.5.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.